<?php
$tdataallocations_new_locking = array();
$tdataallocations_new_locking[".searchableFields"] = array();
$tdataallocations_new_locking[".ShortName"] = "allocations_new_locking";
$tdataallocations_new_locking[".OwnerID"] = "";
$tdataallocations_new_locking[".OriginalTable"] = "allocations_new_locking";


$tdataallocations_new_locking[".pagesByType"] = my_json_decode( "{\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" );
$tdataallocations_new_locking[".originalPagesByType"] = $tdataallocations_new_locking[".pagesByType"];
$tdataallocations_new_locking[".pages"] = types2pages( my_json_decode( "{\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" ) );
$tdataallocations_new_locking[".originalPages"] = $tdataallocations_new_locking[".pages"];
$tdataallocations_new_locking[".defaultPages"] = my_json_decode( "{\"export\":\"export\",\"import\":\"import\",\"list\":\"list\",\"print\":\"print\",\"search\":\"search\",\"view\":\"view\"}" );
$tdataallocations_new_locking[".originalDefaultPages"] = $tdataallocations_new_locking[".defaultPages"];

//	field labels
$fieldLabelsallocations_new_locking = array();
$fieldToolTipsallocations_new_locking = array();
$pageTitlesallocations_new_locking = array();
$placeHoldersallocations_new_locking = array();

if(mlang_getcurrentlang()=="English")
{
	$fieldLabelsallocations_new_locking["English"] = array();
	$fieldToolTipsallocations_new_locking["English"] = array();
	$placeHoldersallocations_new_locking["English"] = array();
	$pageTitlesallocations_new_locking["English"] = array();
	$fieldLabelsallocations_new_locking["English"]["id"] = "Id";
	$fieldToolTipsallocations_new_locking["English"]["id"] = "";
	$placeHoldersallocations_new_locking["English"]["id"] = "";
	$fieldLabelsallocations_new_locking["English"]["table"] = "Table";
	$fieldToolTipsallocations_new_locking["English"]["table"] = "";
	$placeHoldersallocations_new_locking["English"]["table"] = "";
	$fieldLabelsallocations_new_locking["English"]["startdatetime"] = "Startdatetime";
	$fieldToolTipsallocations_new_locking["English"]["startdatetime"] = "";
	$placeHoldersallocations_new_locking["English"]["startdatetime"] = "";
	$fieldLabelsallocations_new_locking["English"]["confirmdatetime"] = "Confirmdatetime";
	$fieldToolTipsallocations_new_locking["English"]["confirmdatetime"] = "";
	$placeHoldersallocations_new_locking["English"]["confirmdatetime"] = "";
	$fieldLabelsallocations_new_locking["English"]["keys"] = "Keys";
	$fieldToolTipsallocations_new_locking["English"]["keys"] = "";
	$placeHoldersallocations_new_locking["English"]["keys"] = "";
	$fieldLabelsallocations_new_locking["English"]["sessionid"] = "Sessionid";
	$fieldToolTipsallocations_new_locking["English"]["sessionid"] = "";
	$placeHoldersallocations_new_locking["English"]["sessionid"] = "";
	$fieldLabelsallocations_new_locking["English"]["userid"] = "Userid";
	$fieldToolTipsallocations_new_locking["English"]["userid"] = "";
	$placeHoldersallocations_new_locking["English"]["userid"] = "";
	$fieldLabelsallocations_new_locking["English"]["action"] = "Action";
	$fieldToolTipsallocations_new_locking["English"]["action"] = "";
	$placeHoldersallocations_new_locking["English"]["action"] = "";
	if (count($fieldToolTipsallocations_new_locking["English"]))
		$tdataallocations_new_locking[".isUseToolTips"] = true;
}
if(mlang_getcurrentlang()=="sinhala")
{
	$fieldLabelsallocations_new_locking["sinhala"] = array();
	$fieldToolTipsallocations_new_locking["sinhala"] = array();
	$placeHoldersallocations_new_locking["sinhala"] = array();
	$pageTitlesallocations_new_locking["sinhala"] = array();
	$fieldLabelsallocations_new_locking["sinhala"]["id"] = "Id";
	$fieldToolTipsallocations_new_locking["sinhala"]["id"] = "";
	$placeHoldersallocations_new_locking["sinhala"]["id"] = "";
	$fieldLabelsallocations_new_locking["sinhala"]["table"] = "Table";
	$fieldToolTipsallocations_new_locking["sinhala"]["table"] = "";
	$placeHoldersallocations_new_locking["sinhala"]["table"] = "";
	$fieldLabelsallocations_new_locking["sinhala"]["startdatetime"] = "Startdatetime";
	$fieldToolTipsallocations_new_locking["sinhala"]["startdatetime"] = "";
	$placeHoldersallocations_new_locking["sinhala"]["startdatetime"] = "";
	$fieldLabelsallocations_new_locking["sinhala"]["confirmdatetime"] = "Confirmdatetime";
	$fieldToolTipsallocations_new_locking["sinhala"]["confirmdatetime"] = "";
	$placeHoldersallocations_new_locking["sinhala"]["confirmdatetime"] = "";
	$fieldLabelsallocations_new_locking["sinhala"]["keys"] = "Keys";
	$fieldToolTipsallocations_new_locking["sinhala"]["keys"] = "";
	$placeHoldersallocations_new_locking["sinhala"]["keys"] = "";
	$fieldLabelsallocations_new_locking["sinhala"]["sessionid"] = "Sessionid";
	$fieldToolTipsallocations_new_locking["sinhala"]["sessionid"] = "";
	$placeHoldersallocations_new_locking["sinhala"]["sessionid"] = "";
	$fieldLabelsallocations_new_locking["sinhala"]["userid"] = "Userid";
	$fieldToolTipsallocations_new_locking["sinhala"]["userid"] = "";
	$placeHoldersallocations_new_locking["sinhala"]["userid"] = "";
	$fieldLabelsallocations_new_locking["sinhala"]["action"] = "Action";
	$fieldToolTipsallocations_new_locking["sinhala"]["action"] = "";
	$placeHoldersallocations_new_locking["sinhala"]["action"] = "";
	if (count($fieldToolTipsallocations_new_locking["sinhala"]))
		$tdataallocations_new_locking[".isUseToolTips"] = true;
}


	$tdataallocations_new_locking[".NCSearch"] = true;



$tdataallocations_new_locking[".shortTableName"] = "allocations_new_locking";
$tdataallocations_new_locking[".nSecOptions"] = 0;

$tdataallocations_new_locking[".mainTableOwnerID"] = "";
$tdataallocations_new_locking[".entityType"] = 0;
$tdataallocations_new_locking[".connId"] = "allo_at_localhost";


$tdataallocations_new_locking[".strOriginalTableName"] = "allocations_new_locking";

	



$tdataallocations_new_locking[".showAddInPopup"] = false;

$tdataallocations_new_locking[".showEditInPopup"] = false;

$tdataallocations_new_locking[".showViewInPopup"] = false;

//page's base css files names
$popupPagesLayoutNames = array();
$tdataallocations_new_locking[".popupPagesLayoutNames"] = $popupPagesLayoutNames;


	$tdataallocations_new_locking[".listAjax"] = true;
//	temporary
$tdataallocations_new_locking[".listAjax"] = false;

	$tdataallocations_new_locking[".audit"] = false;

	$tdataallocations_new_locking[".locking"] = false;


$pages = $tdataallocations_new_locking[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdataallocations_new_locking[".edit"] = true;
	$tdataallocations_new_locking[".afterEditAction"] = 1;
	$tdataallocations_new_locking[".closePopupAfterEdit"] = 1;
	$tdataallocations_new_locking[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdataallocations_new_locking[".add"] = true;
$tdataallocations_new_locking[".afterAddAction"] = 1;
$tdataallocations_new_locking[".closePopupAfterAdd"] = 1;
$tdataallocations_new_locking[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdataallocations_new_locking[".list"] = true;
}



$tdataallocations_new_locking[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdataallocations_new_locking[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdataallocations_new_locking[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdataallocations_new_locking[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdataallocations_new_locking[".printFriendly"] = true;
}



$tdataallocations_new_locking[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdataallocations_new_locking[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdataallocations_new_locking[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdataallocations_new_locking[".isUseAjaxSuggest"] = true;

$tdataallocations_new_locking[".rowHighlite"] = true;



																								

$tdataallocations_new_locking[".ajaxCodeSnippetAdded"] = false;

$tdataallocations_new_locking[".buttonsAdded"] = false;

$tdataallocations_new_locking[".addPageEvents"] = false;

// use timepicker for search panel
$tdataallocations_new_locking[".isUseTimeForSearch"] = false;


$tdataallocations_new_locking[".badgeColor"] = "5F9EA0";


$tdataallocations_new_locking[".allSearchFields"] = array();
$tdataallocations_new_locking[".filterFields"] = array();
$tdataallocations_new_locking[".requiredSearchFields"] = array();

$tdataallocations_new_locking[".googleLikeFields"] = array();
$tdataallocations_new_locking[".googleLikeFields"][] = "id";
$tdataallocations_new_locking[".googleLikeFields"][] = "table";
$tdataallocations_new_locking[".googleLikeFields"][] = "startdatetime";
$tdataallocations_new_locking[".googleLikeFields"][] = "confirmdatetime";
$tdataallocations_new_locking[".googleLikeFields"][] = "keys";
$tdataallocations_new_locking[".googleLikeFields"][] = "sessionid";
$tdataallocations_new_locking[".googleLikeFields"][] = "userid";
$tdataallocations_new_locking[".googleLikeFields"][] = "action";



$tdataallocations_new_locking[".tableType"] = "list";

$tdataallocations_new_locking[".printerPageOrientation"] = 0;
$tdataallocations_new_locking[".nPrinterPageScale"] = 100;

$tdataallocations_new_locking[".nPrinterSplitRecords"] = 40;

$tdataallocations_new_locking[".geocodingEnabled"] = false;










$tdataallocations_new_locking[".pageSize"] = 20;

$tdataallocations_new_locking[".warnLeavingPages"] = true;



$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdataallocations_new_locking[".strOrderBy"] = $tstrOrderBy;

$tdataallocations_new_locking[".orderindexes"] = array();


$tdataallocations_new_locking[".sqlHead"] = "SELECT id,  	`table`,  	startdatetime,  	confirmdatetime,  	`keys`,  	sessionid,  	userid,  	`action`";
$tdataallocations_new_locking[".sqlFrom"] = "FROM allocations_new_locking";
$tdataallocations_new_locking[".sqlWhereExpr"] = "";
$tdataallocations_new_locking[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdataallocations_new_locking[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdataallocations_new_locking[".arrGroupsPerPage"] = $arrGPP;

$tdataallocations_new_locking[".highlightSearchResults"] = true;

$tableKeysallocations_new_locking = array();
$tableKeysallocations_new_locking[] = "id";
$tdataallocations_new_locking[".Keys"] = $tableKeysallocations_new_locking;


$tdataallocations_new_locking[".hideMobileList"] = array();




//	id
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "id";
	$fdata["GoodName"] = "id";
	$fdata["ownerTable"] = "allocations_new_locking";
	$fdata["Label"] = GetFieldLabel("allocations_new_locking","id");
	$fdata["FieldType"] = 3;

	
		$fdata["AutoInc"] = true;

	
			

		$fdata["strField"] = "id";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "id";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataallocations_new_locking["id"] = $fdata;
		$tdataallocations_new_locking[".searchableFields"][] = "id";
//	table
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "table";
	$fdata["GoodName"] = "table";
	$fdata["ownerTable"] = "allocations_new_locking";
	$fdata["Label"] = GetFieldLabel("allocations_new_locking","table");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "table";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "`table`";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=300";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataallocations_new_locking["table"] = $fdata;
		$tdataallocations_new_locking[".searchableFields"][] = "table";
//	startdatetime
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "startdatetime";
	$fdata["GoodName"] = "startdatetime";
	$fdata["ownerTable"] = "allocations_new_locking";
	$fdata["Label"] = GetFieldLabel("allocations_new_locking","startdatetime");
	$fdata["FieldType"] = 135;

	
	
	
			

		$fdata["strField"] = "startdatetime";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "startdatetime";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Short Date");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Date");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
		$edata["DateEditType"] = 13;
	$edata["InitialYearFactor"] = 100;
	$edata["LastYearFactor"] = 10;

	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Equals", "More than", "Less than", "Between", EMPTY_SEARCH, NOT_EMPTY );
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataallocations_new_locking["startdatetime"] = $fdata;
		$tdataallocations_new_locking[".searchableFields"][] = "startdatetime";
//	confirmdatetime
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "confirmdatetime";
	$fdata["GoodName"] = "confirmdatetime";
	$fdata["ownerTable"] = "allocations_new_locking";
	$fdata["Label"] = GetFieldLabel("allocations_new_locking","confirmdatetime");
	$fdata["FieldType"] = 135;

	
	
	
			

		$fdata["strField"] = "confirmdatetime";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "confirmdatetime";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Short Date");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Date");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
		$edata["DateEditType"] = 13;
	$edata["InitialYearFactor"] = 100;
	$edata["LastYearFactor"] = 10;

	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Equals", "More than", "Less than", "Between", EMPTY_SEARCH, NOT_EMPTY );
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataallocations_new_locking["confirmdatetime"] = $fdata;
		$tdataallocations_new_locking[".searchableFields"][] = "confirmdatetime";
//	keys
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "keys";
	$fdata["GoodName"] = "keys";
	$fdata["ownerTable"] = "allocations_new_locking";
	$fdata["Label"] = GetFieldLabel("allocations_new_locking","keys");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "keys";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "`keys`";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=300";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataallocations_new_locking["keys"] = $fdata;
		$tdataallocations_new_locking[".searchableFields"][] = "keys";
//	sessionid
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 6;
	$fdata["strName"] = "sessionid";
	$fdata["GoodName"] = "sessionid";
	$fdata["ownerTable"] = "allocations_new_locking";
	$fdata["Label"] = GetFieldLabel("allocations_new_locking","sessionid");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "sessionid";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "sessionid";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=100";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataallocations_new_locking["sessionid"] = $fdata;
		$tdataallocations_new_locking[".searchableFields"][] = "sessionid";
//	userid
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 7;
	$fdata["strName"] = "userid";
	$fdata["GoodName"] = "userid";
	$fdata["ownerTable"] = "allocations_new_locking";
	$fdata["Label"] = GetFieldLabel("allocations_new_locking","userid");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "userid";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "userid";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=300";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataallocations_new_locking["userid"] = $fdata;
		$tdataallocations_new_locking[".searchableFields"][] = "userid";
//	action
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 8;
	$fdata["strName"] = "action";
	$fdata["GoodName"] = "action";
	$fdata["ownerTable"] = "allocations_new_locking";
	$fdata["Label"] = GetFieldLabel("allocations_new_locking","action");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "action";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "`action`";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataallocations_new_locking["action"] = $fdata;
		$tdataallocations_new_locking[".searchableFields"][] = "action";


$tables_data["allocations_new_locking"]=&$tdataallocations_new_locking;
$field_labels["allocations_new_locking"] = &$fieldLabelsallocations_new_locking;
$fieldToolTips["allocations_new_locking"] = &$fieldToolTipsallocations_new_locking;
$placeHolders["allocations_new_locking"] = &$placeHoldersallocations_new_locking;
$page_titles["allocations_new_locking"] = &$pageTitlesallocations_new_locking;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["allocations_new_locking"] = array();

// tables which are master tables for current table (detail)
$masterTablesData["allocations_new_locking"] = array();



// -----------------end  prepare master-details data arrays ------------------------------//



require_once(getabspath("classes/sql.php"));











function createSqlQuery_allocations_new_locking()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "id,  	`table`,  	startdatetime,  	confirmdatetime,  	`keys`,  	sessionid,  	userid,  	`action`";
$proto0["m_strFrom"] = "FROM allocations_new_locking";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "id",
	"m_strTable" => "allocations_new_locking",
	"m_srcTableName" => "allocations_new_locking"
));

$proto6["m_sql"] = "id";
$proto6["m_srcTableName"] = "allocations_new_locking";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "table",
	"m_strTable" => "allocations_new_locking",
	"m_srcTableName" => "allocations_new_locking"
));

$proto8["m_sql"] = "`table`";
$proto8["m_srcTableName"] = "allocations_new_locking";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
						$proto10=array();
			$obj = new SQLField(array(
	"m_strName" => "startdatetime",
	"m_strTable" => "allocations_new_locking",
	"m_srcTableName" => "allocations_new_locking"
));

$proto10["m_sql"] = "startdatetime";
$proto10["m_srcTableName"] = "allocations_new_locking";
$proto10["m_expr"]=$obj;
$proto10["m_alias"] = "";
$obj = new SQLFieldListItem($proto10);

$proto0["m_fieldlist"][]=$obj;
						$proto12=array();
			$obj = new SQLField(array(
	"m_strName" => "confirmdatetime",
	"m_strTable" => "allocations_new_locking",
	"m_srcTableName" => "allocations_new_locking"
));

$proto12["m_sql"] = "confirmdatetime";
$proto12["m_srcTableName"] = "allocations_new_locking";
$proto12["m_expr"]=$obj;
$proto12["m_alias"] = "";
$obj = new SQLFieldListItem($proto12);

$proto0["m_fieldlist"][]=$obj;
						$proto14=array();
			$obj = new SQLField(array(
	"m_strName" => "keys",
	"m_strTable" => "allocations_new_locking",
	"m_srcTableName" => "allocations_new_locking"
));

$proto14["m_sql"] = "`keys`";
$proto14["m_srcTableName"] = "allocations_new_locking";
$proto14["m_expr"]=$obj;
$proto14["m_alias"] = "";
$obj = new SQLFieldListItem($proto14);

$proto0["m_fieldlist"][]=$obj;
						$proto16=array();
			$obj = new SQLField(array(
	"m_strName" => "sessionid",
	"m_strTable" => "allocations_new_locking",
	"m_srcTableName" => "allocations_new_locking"
));

$proto16["m_sql"] = "sessionid";
$proto16["m_srcTableName"] = "allocations_new_locking";
$proto16["m_expr"]=$obj;
$proto16["m_alias"] = "";
$obj = new SQLFieldListItem($proto16);

$proto0["m_fieldlist"][]=$obj;
						$proto18=array();
			$obj = new SQLField(array(
	"m_strName" => "userid",
	"m_strTable" => "allocations_new_locking",
	"m_srcTableName" => "allocations_new_locking"
));

$proto18["m_sql"] = "userid";
$proto18["m_srcTableName"] = "allocations_new_locking";
$proto18["m_expr"]=$obj;
$proto18["m_alias"] = "";
$obj = new SQLFieldListItem($proto18);

$proto0["m_fieldlist"][]=$obj;
						$proto20=array();
			$obj = new SQLField(array(
	"m_strName" => "action",
	"m_strTable" => "allocations_new_locking",
	"m_srcTableName" => "allocations_new_locking"
));

$proto20["m_sql"] = "`action`";
$proto20["m_srcTableName"] = "allocations_new_locking";
$proto20["m_expr"]=$obj;
$proto20["m_alias"] = "";
$obj = new SQLFieldListItem($proto20);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto22=array();
$proto22["m_link"] = "SQLL_MAIN";
			$proto23=array();
$proto23["m_strName"] = "allocations_new_locking";
$proto23["m_srcTableName"] = "allocations_new_locking";
$proto23["m_columns"] = array();
$proto23["m_columns"][] = "id";
$proto23["m_columns"][] = "table";
$proto23["m_columns"][] = "startdatetime";
$proto23["m_columns"][] = "confirmdatetime";
$proto23["m_columns"][] = "keys";
$proto23["m_columns"][] = "sessionid";
$proto23["m_columns"][] = "userid";
$proto23["m_columns"][] = "action";
$obj = new SQLTable($proto23);

$proto22["m_table"] = $obj;
$proto22["m_sql"] = "allocations_new_locking";
$proto22["m_alias"] = "";
$proto22["m_srcTableName"] = "allocations_new_locking";
$proto24=array();
$proto24["m_sql"] = "";
$proto24["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto24["m_column"]=$obj;
$proto24["m_contained"] = array();
$proto24["m_strCase"] = "";
$proto24["m_havingmode"] = false;
$proto24["m_inBrackets"] = false;
$proto24["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto24);

$proto22["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto22);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="allocations_new_locking";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_allocations_new_locking = createSqlQuery_allocations_new_locking();


	
		;

								

$tdataallocations_new_locking[".sqlquery"] = $queryData_allocations_new_locking;



$tableEvents["allocations_new_locking"] = new eventsBase;
$tdataallocations_new_locking[".hasEvents"] = false;

?>